Execution
Date 04 Mar 2026 10:56:39 +0000
Duration 00:02:51.58
Controller ssh-gw-4.layershift.com
User root
Versions
Ansible 2.16.13
ara 1.7.4 / 1.7.4
Python 3.10.10
Summary
131 Hosts
3 Tasks
390 Results
1 Plays
1 Files
0 Records

Task result details


Field Value
changed
True
cmd
set -o pipefail
paths=$(find /opt/alt/php* -name "default.ini" | xargs grep -l "^zend_extension=.*ioncube_loader_lin.*" 2>/dev/null)

if [[ -n "$paths" ]]; then
  package_names=$(echo "$paths" | awk -F'/' '{ print $3 "-" $4 "-ioncube-loader" }' )

  while IFS= read -r path <&3 && IFS= read -r package <&4; do

    if [[ "$package" == *"alt-php"* && "$path" == "/opt/alt/php"* ]]; then
      echo "[ INFO ] Installing package: $package"
      
      if [[ ! -f "$healthy_ioncube" ]]; then
        dnf install -y --disableexcludes=all "$package"
      fi
      rc=$?

      if [ "$rc" == 0 ]; then
        echo "[ INFO ] Removing the ioncube_loader_lin.so module from $path!"
        sed -i '/zend_extension=\/opt\/alt\/php.*\/ioncube_loader_lin_.*\.so/d' "$path"

        php_bin=$(echo $path | sed 's|/etc/php.d/default.ini|/usr/bin/php|')
        ioncube_ini=$(echo $path | sed 's|/php.d/default.ini|/php.d.all/ioncube_loader.ini|')
        dest_path=$(echo $path | sed 's|default.ini|10-ioncube_loader.ini|')

        ln -s "$ioncube_ini" "$dest_path"

        if ! "$php_bin" -i |  grep -wE "ionCube.*v1[4-5]"; then
          echo "[ ERROR ] Ioncube wasn't enabled successfully!"
          exit 128
        else
          echo "[ INFO ] Ioncube was enabled successfully!"
        fi

      else
        echo "[ ERROR ] Failed to install $package. Stopping script!"
        exit 128
      fi

    else
      echo "[ ERROR ] Something went wrong: $path $package"
      exit 128
    fi

  done 3<<< "$paths" 4<<< "$package_names"
  find /opt/alt/php* -name "ioncube_loader_lin*.so" -type f -delete

else
  echo "[ INFO ] ioncube_loader_lin.so file wasn't found!"
fi
delta
0:00:15.746536
end
2026-03-04 10:58:20.036132
failed_when_result
False
invocation
{
    "module_args": {
        "_raw_params": "set -o pipefail\npaths=$(find /opt/alt/php* -name \"default.ini\" | xargs grep -l \"^zend_extension=.*ioncube_loader_lin.*\" 2>/dev/null)\n\nif [[ -n \"$paths\" ]]; then\n  package_names=$(echo \"$paths\" | awk -F'/' '{ print $3 \"-\" $4 \"-ioncube-loader\" }' )\n\n  while IFS= read -r path <&3 && IFS= read -r package <&4; do\n\n    if [[ \"$package\" == *\"alt-php\"* && \"$path\" == \"/opt/alt/php\"* ]]; then\n      echo \"[ INFO ] Installing package: $package\"\n      \n      if [[ ! -f \"$healthy_ioncube\" ]]; then\n        dnf install -y --disableexcludes=all \"$package\"\n      fi\n      rc=$?\n\n      if [ \"$rc\" == 0 ]; then\n        echo \"[ INFO ] Removing the ioncube_loader_lin.so module from $path!\"\n        sed -i '/zend_extension=\\/opt\\/alt\\/php.*\\/ioncube_loader_lin_.*\\.so/d' \"$path\"\n\n        php_bin=$(echo $path | sed 's|/etc/php.d/default.ini|/usr/bin/php|')\n        ioncube_ini=$(echo $path | sed 's|/php.d/default.ini|/php.d.all/ioncube_loader.ini|')\n        dest_path=$(echo $path | sed 's|default.ini|10-ioncube_loader.ini|')\n\n        ln -s \"$ioncube_ini\" \"$dest_path\"\n\n        if ! \"$php_bin\" -i |  grep -wE \"ionCube.*v1[4-5]\"; then\n          echo \"[ ERROR ] Ioncube wasn't enabled successfully!\"\n          exit 128\n        else\n          echo \"[ INFO ] Ioncube was enabled successfully!\"\n        fi\n\n      else\n        echo \"[ ERROR ] Failed to install $package. Stopping script!\"\n        exit 128\n      fi\n\n    else\n      echo \"[ ERROR ] Something went wrong: $path $package\"\n      exit 128\n    fi\n\n  done 3<<< \"$paths\" 4<<< \"$package_names\"\n  find /opt/alt/php* -name \"ioncube_loader_lin*.so\" -type f -delete\n\nelse\n  echo \"[ INFO ] ioncube_loader_lin.so file wasn't found!\"\nfi\n",
        "_uses_shell": true,
        "argv": null,
        "chdir": null,
        "creates": null,
        "executable": "/bin/bash",
        "expand_argument_vars": true,
        "removes": null,
        "stdin": null,
        "stdin_add_newline": true,
        "strip_empty_ends": true
    }
}
msg

rc
0
start
2026-03-04 10:58:04.289596
stderr
PHP Warning:  Unknown: It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected 'UTC' for 'GMT/0.0/no DST' instead in Unknown on line 0
PHP Warning:  Unknown: It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected 'UTC' for 'GMT/0.0/no DST' instead in Unknown on line 0
PHP Warning:  Unknown: It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected 'UTC' for 'GMT/0.0/no DST' instead in Unknown on line 0
PHP Warning:  Unknown: It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone. in Unknown on line 0
stderr_lines
[
    "PHP Warning:  Unknown: It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected 'UTC' for 'GMT/0.0/no DST' instead in Unknown on line 0",
    "PHP Warning:  Unknown: It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected 'UTC' for 'GMT/0.0/no DST' instead in Unknown on line 0",
    "PHP Warning:  Unknown: It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected 'UTC' for 'GMT/0.0/no DST' instead in Unknown on line 0",
    "PHP Warning:  Unknown: It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone. in Unknown on line 0"
]
stdout
[ INFO ] Installing package: alt-php53-ioncube-loader
Last metadata expiration check: 2:38:27 ago on Wed 04 Mar 2026 08:19:40 AM GMT.
Package alt-php53-ioncube-loader-1:14.4.1-1.el8.x86_64 is already installed.
Dependencies resolved.
================================================================================
 Package                   Arch    Version            Repository           Size
================================================================================
Upgrading:
 alt-php53-ioncube-loader  x86_64  1:15.0.0-1.el8     imunify360-alt-php  437 k

Transaction Summary
================================================================================
Upgrade  1 Package

Total download size: 437 k
Downloading Packages:
alt-php53-ioncube-loader-15.0.0-1.el8.x86_64.rp 1.1 MB/s | 437 kB     00:00    
--------------------------------------------------------------------------------
Total                                           1.1 MB/s | 437 kB     00:00     
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Preparing        :                                                        1/1 
  Upgrading        : alt-php53-ioncube-loader-1:15.0.0-1.el8.x86_64         1/2 
  Cleanup          : alt-php53-ioncube-loader-1:14.4.1-1.el8.x86_64         2/2 
  Verifying        : alt-php53-ioncube-loader-1:15.0.0-1.el8.x86_64         1/2 
  Verifying        : alt-php53-ioncube-loader-1:14.4.1-1.el8.x86_64         2/2 

Upgraded:
  alt-php53-ioncube-loader-1:15.0.0-1.el8.x86_64                                

Complete!
[ INFO ] Removing the ioncube_loader_lin.so module from /opt/alt/php53/etc/php.d/default.ini!
    with the ionCube PHP Loader v15.0.0, Copyright (c) 2002-2025, by ionCube Ltd.
[ INFO ] Ioncube was enabled successfully!
[ INFO ] Installing package: alt-php54-ioncube-loader
Last metadata expiration check: 2:38:32 ago on Wed 04 Mar 2026 08:19:40 AM GMT.
Package alt-php54-ioncube-loader-14.4.1-1.el8.x86_64 is already installed.
Dependencies resolved.
================================================================================
 Package                    Arch     Version         Repository            Size
================================================================================
Upgrading:
 alt-php54-ioncube-loader   x86_64   15.0.0-1.el8    imunify360-alt-php   561 k

Transaction Summary
================================================================================
Upgrade  1 Package

Total download size: 561 k
Downloading Packages:
alt-php54-ioncube-loader-15.0.0-1.el8.x86_64.rp 2.5 MB/s | 561 kB     00:00    
--------------------------------------------------------------------------------
Total                                           2.5 MB/s | 561 kB     00:00     
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Preparing        :                                                        1/1 
  Upgrading        : alt-php54-ioncube-loader-15.0.0-1.el8.x86_64           1/2 
  Cleanup          : alt-php54-ioncube-loader-14.4.1-1.el8.x86_64           2/2 
  Verifying        : alt-php54-ioncube-loader-15.0.0-1.el8.x86_64           1/2 
  Verifying        : alt-php54-ioncube-loader-14.4.1-1.el8.x86_64           2/2 

Upgraded:
  alt-php54-ioncube-loader-15.0.0-1.el8.x86_64                                  

Complete!
[ INFO ] Removing the ioncube_loader_lin.so module from /opt/alt/php54/etc/php.d/default.ini!
    with the ionCube PHP Loader + ionCube24 v15.0.0, Copyright (c) 2002-2025, by ionCube Ltd.
[ INFO ] Ioncube was enabled successfully!
[ INFO ] Installing package: alt-php55-ioncube-loader
Last metadata expiration check: 2:38:36 ago on Wed 04 Mar 2026 08:19:40 AM GMT.
Package alt-php55-ioncube-loader-14.4.1-1.el8.x86_64 is already installed.
Dependencies resolved.
================================================================================
 Package                    Arch     Version         Repository            Size
================================================================================
Upgrading:
 alt-php55-ioncube-loader   x86_64   15.0.0-1.el8    imunify360-alt-php   573 k

Transaction Summary
================================================================================
Upgrade  1 Package

Total download size: 573 k
Downloading Packages:
alt-php55-ioncube-loader-15.0.0-1.el8.x86_64.rp 2.6 MB/s | 573 kB     00:00    
--------------------------------------------------------------------------------
Total                                           2.6 MB/s | 573 kB     00:00     
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Preparing        :                                                        1/1 
  Upgrading        : alt-php55-ioncube-loader-15.0.0-1.el8.x86_64           1/2 
  Cleanup          : alt-php55-ioncube-loader-14.4.1-1.el8.x86_64           2/2 
  Verifying        : alt-php55-ioncube-loader-15.0.0-1.el8.x86_64           1/2 
  Verifying        : alt-php55-ioncube-loader-14.4.1-1.el8.x86_64           2/2 

Upgraded:
  alt-php55-ioncube-loader-15.0.0-1.el8.x86_64                                  

Complete!
[ INFO ] Removing the ioncube_loader_lin.so module from /opt/alt/php55/etc/php.d/default.ini!
    with the ionCube PHP Loader + ionCube24 v15.0.0, Copyright (c) 2002-2025, by ionCube Ltd.
[ INFO ] Ioncube was enabled successfully!
stdout_lines
[
    "[ INFO ] Installing package: alt-php53-ioncube-loader",
    "Last metadata expiration check: 2:38:27 ago on Wed 04 Mar 2026 08:19:40 AM GMT.",
    "Package alt-php53-ioncube-loader-1:14.4.1-1.el8.x86_64 is already installed.",
    "Dependencies resolved.",
    "================================================================================",
    " Package                   Arch    Version            Repository           Size",
    "================================================================================",
    "Upgrading:",
    " alt-php53-ioncube-loader  x86_64  1:15.0.0-1.el8     imunify360-alt-php  437 k",
    "",
    "Transaction Summary",
    "================================================================================",
    "Upgrade  1 Package",
    "",
    "Total download size: 437 k",
    "Downloading Packages:",
    "alt-php53-ioncube-loader-15.0.0-1.el8.x86_64.rp 1.1 MB/s | 437 kB     00:00    ",
    "--------------------------------------------------------------------------------",
    "Total                                           1.1 MB/s | 437 kB     00:00     ",
    "Running transaction check",
    "Transaction check succeeded.",
    "Running transaction test",
    "Transaction test succeeded.",
    "Running transaction",
    "  Preparing        :                                                        1/1 ",
    "  Upgrading        : alt-php53-ioncube-loader-1:15.0.0-1.el8.x86_64         1/2 ",
    "  Cleanup          : alt-php53-ioncube-loader-1:14.4.1-1.el8.x86_64         2/2 ",
    "  Verifying        : alt-php53-ioncube-loader-1:15.0.0-1.el8.x86_64         1/2 ",
    "  Verifying        : alt-php53-ioncube-loader-1:14.4.1-1.el8.x86_64         2/2 ",
    "",
    "Upgraded:",
    "  alt-php53-ioncube-loader-1:15.0.0-1.el8.x86_64                                ",
    "",
    "Complete!",
    "[ INFO ] Removing the ioncube_loader_lin.so module from /opt/alt/php53/etc/php.d/default.ini!",
    "    with the ionCube PHP Loader v15.0.0, Copyright (c) 2002-2025, by ionCube Ltd.",
    "[ INFO ] Ioncube was enabled successfully!",
    "[ INFO ] Installing package: alt-php54-ioncube-loader",
    "Last metadata expiration check: 2:38:32 ago on Wed 04 Mar 2026 08:19:40 AM GMT.",
    "Package alt-php54-ioncube-loader-14.4.1-1.el8.x86_64 is already installed.",
    "Dependencies resolved.",
    "================================================================================",
    " Package                    Arch     Version         Repository            Size",
    "================================================================================",
    "Upgrading:",
    " alt-php54-ioncube-loader   x86_64   15.0.0-1.el8    imunify360-alt-php   561 k",
    "",
    "Transaction Summary",
    "================================================================================",
    "Upgrade  1 Package",
    "",
    "Total download size: 561 k",
    "Downloading Packages:",
    "alt-php54-ioncube-loader-15.0.0-1.el8.x86_64.rp 2.5 MB/s | 561 kB     00:00    ",
    "--------------------------------------------------------------------------------",
    "Total                                           2.5 MB/s | 561 kB     00:00     ",
    "Running transaction check",
    "Transaction check succeeded.",
    "Running transaction test",
    "Transaction test succeeded.",
    "Running transaction",
    "  Preparing        :                                                        1/1 ",
    "  Upgrading        : alt-php54-ioncube-loader-15.0.0-1.el8.x86_64           1/2 ",
    "  Cleanup          : alt-php54-ioncube-loader-14.4.1-1.el8.x86_64           2/2 ",
    "  Verifying        : alt-php54-ioncube-loader-15.0.0-1.el8.x86_64           1/2 ",
    "  Verifying        : alt-php54-ioncube-loader-14.4.1-1.el8.x86_64           2/2 ",
    "",
    "Upgraded:",
    "  alt-php54-ioncube-loader-15.0.0-1.el8.x86_64                                  ",
    "",
    "Complete!",
    "[ INFO ] Removing the ioncube_loader_lin.so module from /opt/alt/php54/etc/php.d/default.ini!",
    "    with the ionCube PHP Loader + ionCube24 v15.0.0, Copyright (c) 2002-2025, by ionCube Ltd.",
    "[ INFO ] Ioncube was enabled successfully!",
    "[ INFO ] Installing package: alt-php55-ioncube-loader",
    "Last metadata expiration check: 2:38:36 ago on Wed 04 Mar 2026 08:19:40 AM GMT.",
    "Package alt-php55-ioncube-loader-14.4.1-1.el8.x86_64 is already installed.",
    "Dependencies resolved.",
    "================================================================================",
    " Package                    Arch     Version         Repository            Size",
    "================================================================================",
    "Upgrading:",
    " alt-php55-ioncube-loader   x86_64   15.0.0-1.el8    imunify360-alt-php   573 k",
    "",
    "Transaction Summary",
    "================================================================================",
    "Upgrade  1 Package",
    "",
    "Total download size: 573 k",
    "Downloading Packages:",
    "alt-php55-ioncube-loader-15.0.0-1.el8.x86_64.rp 2.6 MB/s | 573 kB     00:00    ",
    "--------------------------------------------------------------------------------",
    "Total                                           2.6 MB/s | 573 kB     00:00     ",
    "Running transaction check",
    "Transaction check succeeded.",
    "Running transaction test",
    "Transaction test succeeded.",
    "Running transaction",
    "  Preparing        :                                                        1/1 ",
    "  Upgrading        : alt-php55-ioncube-loader-15.0.0-1.el8.x86_64           1/2 ",
    "  Cleanup          : alt-php55-ioncube-loader-14.4.1-1.el8.x86_64           2/2 ",
    "  Verifying        : alt-php55-ioncube-loader-15.0.0-1.el8.x86_64           1/2 ",
    "  Verifying        : alt-php55-ioncube-loader-14.4.1-1.el8.x86_64           2/2 ",
    "",
    "Upgraded:",
    "  alt-php55-ioncube-loader-15.0.0-1.el8.x86_64                                  ",
    "",
    "Complete!",
    "[ INFO ] Removing the ioncube_loader_lin.so module from /opt/alt/php55/etc/php.d/default.ini!",
    "    with the ionCube PHP Loader + ionCube24 v15.0.0, Copyright (c) 2002-2025, by ionCube Ltd.",
    "[ INFO ] Ioncube was enabled successfully!"
]